Avnology ID
API ReferenceSSO & Directory Sync

Test SSO Connection

Test an SSO connection.

Endpoint

POST /v1/sso/connections/{id}:test

Base URL: https://api-id.avnology.net

Authentication: API Key or OAuth token

Request

curl -X POST "https://api-id.avnology.net/v1/sso/connections/{id}:test" \\
  -H "Authorization: Bearer ak_live_..." \\

Response

Returns the appropriate response. See API Overview for format.

Errors

StatusCodeDescription
404AVNOLOGY_AUTH_901Resource not found
403AVNOLOGY_AUTH_100Insufficient permissions

Code Examples

JavaScript (fetch)

const response = await fetch('https://api-id.avnology.net/v1/sso/connections/{id}:test', {
  method: 'POST',
  headers: { 'Authorization': 'Bearer ' + apiKey, 'Content-Type': 'application/json' },
});

Python (httpx)

import httpx

response = httpx.request("POST", "https://api-id.avnology.net/v1/sso/connections/{id}:test",
    headers={"Authorization": f"Bearer {api_key}

Go (net/http)

req, _ := http.NewRequestWithContext(ctx, "POST", "https://api-id.avnology.net/v1/sso/connections/{id}:test", nil)
req.Header.Set("Authorization", "Bearer "+apiKey)
resp, err